Name:           perl-Catalyst-Plugin-Authentication
Version:        0.10015
Release:        1%{?dist}
Summary:        Infrastructure plugin for the Catalyst authentication framework
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Catalyst-Plugin-Authentication/
Source0:        http://search.cpan.org/CPAN/authors/id/B/BO/BOBTFISH/Catalyst-Plugin-Authentication-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# use the whole kit-n-kaboodle, as perl_default_filter isn't in F-11
%{?filter_setup: %{expand:
%filter_provides_in %{perl_vendorarch}/.*\\.so$
%filter_provides_in -P %{perl_archlib}/(?!CORE/libperl).*\\.so$
%filter_provides_in %{_docdir}
%filter_requires_in %{_docdir}
%filter_setup
}}

BuildRequires:  perl(Catalyst::Plugin::Session) >= 0.10
BuildRequires:  perl(Catalyst::Runtime)
BuildRequires:  perl(Class::Inspector)
BuildRequires:  perl(Digest::MD5)
BuildRequires:  perl(Digest::SHA1)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.42
BuildRequires:  perl(MRO::Compat)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::MockObject)
BuildRequires:  perl(Class::MOP)
BuildRequires:  perl(Moose)
BuildRequires:  perl(CPAN)
# optional tests
BuildRequires:  perl(Catalyst::Plugin::Session::State::Cookie)
BuildRequires:  perl(Test::WWW::Mechanize::Catalyst)

Requires:       perl(Catalyst::Plugin::Session) >= 0.10
Requires:       perl(Catalyst::Runtime)
Requires:       perl(Class::Inspector)
Requires:       perl(MRO::Compat)

%description
The authentication plugin provides generic user support for Catalyst apps.
It is the basis for both authentication (checking the user is who they
claim to be), and authorization (allowing the user to do what the system
authorises them to do).

%prep
%setup -q -n Catalyst-Plugin-Authentication-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
# note we do not run pod tests right now -- they seem to be failing
#TEST_POD=1 make test
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README t/
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Sep 03 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.10015-1
- switch filtering systems...
- auto-update to 0.10015 (by cpan-spec-update 0.01)
- added a new br on perl(Class::MOP) (version 0)
- added a new br on perl(Moose) (version 0)

* Sat Aug 08 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.10013-2
- auto-update to 0.10013 (by cpan-spec-update 0.01)
- added a new br on CPAN (inc::Module::AutoInstall found)

* Sat Aug 08 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.10013-1
- auto-update to 0.10013 (by cpan-spec-update 0.01)

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10012-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 15 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.10012-1
- switch fitering system to a cleaner one
- auto-update to 0.10012 (by cpan-spec-update 0.01)
- altered br on perl(ExtUtils::MakeMaker) (0 => 6.42)
- added a new req on perl(Class::Inspector) (version 0)
- added a new req on perl(MRO::Compat) (version 0)

* Thu Apr 02 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.10011-1
- update to 0.10011

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10010-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 18 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.10010-1
- update to 0.10010

* Sun Jan 25 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.100092-1
- update to 0.100092

* Sun Oct 26 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.10008-1
- update to 0.10008

* Thu Sep 25 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.10007-1
- update to 0.10007

* Tue Jun 17 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.10006-4
- bump

* Mon Jun 16 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.10006-3
- add br on Test::Exception

* Mon Jun 02 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.10006-2
- drop buildroot references from prep

* Sat May 31 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.10006-1
- Specfile autogenerated by cpanspec 1.75.
